package textures.player;

import java.awt.image.BufferedImage;

import _texture.loader.Textures;
import utils.Utils;

/**  ------------- Nihilne ------------
    *** @author Mitch Weaver - 2016 ***
      ~~~~ All Rights Reserved ~~~~ */

public class PlayerIdleTextures {

	
	public static void getTextures(BufferedImage image){
		/*** SOUTH IDLE ***/
		Textures.playerSheet[0] = Utils.grabSprite(image, 1, 1, 40, 72);
		Textures.playerSheet[1] = Utils.grabSprite(image, 2, 1, 40, 72);
		Textures.playerSheet[2] = Utils.grabSprite(image, 3, 1, 40, 72);
		Textures.playerSheet[3] = Utils.grabSprite(image, 4, 1, 40, 72);

		/*** NORTH IDLE ***/
		Textures.playerSheet[4] = Utils.grabSprite(image,1, 2, 40, 72);
		Textures.playerSheet[5] = Utils.grabSprite(image,2, 2, 40, 72);
		Textures.playerSheet[6] = Utils.grabSprite(image,3, 2, 40, 72);
		Textures.playerSheet[7] = Utils.grabSprite(image,4, 2, 40, 72);

		/*** WEST IDLE ***/
		Textures.playerSheet[8] = Utils.grabSprite(image,1, 3, 40, 72);
		Textures.playerSheet[9] = Utils.grabSprite(image,2, 3, 40, 72);
		Textures.playerSheet[10] = Utils.grabSprite(image,3, 3, 40, 72);
		Textures.playerSheet[11] = Utils.grabSprite(image,4, 3, 40, 72);

		/*** EAST IDLE ***/
		Textures.playerSheet[12] = Utils.reverseImage(Utils.grabSprite(image,1, 3, 40, 72));
		Textures.playerSheet[13] = Utils.reverseImage(Utils.grabSprite(image,2, 3, 40, 72));
		Textures.playerSheet[14] = Utils.reverseImage(Utils.grabSprite(image,3, 3, 40, 72));
		Textures.playerSheet[15] = Utils.reverseImage(Utils.grabSprite(image,4, 3, 40, 72));

		/*** NORTHWEST IDLE ***/
		Textures.playerSheet[16] = Utils.grabSprite(image,1, 4, 40, 72);
		Textures.playerSheet[17] = Utils.grabSprite(image,2, 4, 40, 72);
		Textures.playerSheet[18] = Utils.grabSprite(image, 3, 4, 40, 72);
		Textures.playerSheet[19] = Utils.grabSprite(image, 4, 4, 40, 72);

		/*** NORTHEAST IDLE ***/
		Textures.playerSheet[20] = Utils.reverseImage(Utils.grabSprite(image, 1, 4, 40, 72));
		Textures.playerSheet[21] = Utils.reverseImage(Utils.grabSprite(image, 2, 4, 40, 72));
		Textures.playerSheet[22] = Utils.reverseImage(Utils.grabSprite(image, 3, 4, 40, 72));
		Textures.playerSheet[23] = Utils.reverseImage(Utils.grabSprite(image, 4, 4, 40, 72));

		/*** SOUTHWEST IDLE ***/
		Textures.playerSheet[24] = Utils.grabSprite(image, 1, 5, 40, 72);
		Textures.playerSheet[25] = Utils.grabSprite(image, 2, 5, 40, 72);
		Textures.playerSheet[26] = Utils.grabSprite(image, 3, 5, 40, 72);
		Textures.playerSheet[27] = Utils.grabSprite(image, 4, 5, 40, 72);

		/*** SOUTHEAST IDLE ***/
		Textures.playerSheet[28] = Utils.reverseImage(Utils.grabSprite(image, 1, 5, 40, 72));
		Textures.playerSheet[29] = Utils.reverseImage(Utils.grabSprite(image, 2, 5, 40, 72));
		Textures.playerSheet[30] = Utils.reverseImage(Utils.grabSprite(image, 3, 5, 40, 72));
		Textures.playerSheet[31] = Utils.reverseImage(Utils.grabSprite(image, 4, 5, 40, 72));
	}
}
